/* 
* Rootfly:  A program for analyzing and measuring roots. 
* Copyright (c) 2005 Clemson University.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
* 
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

// CopySession.cpp : implementation file
//

#include "stdafx.h"
#include "rootfly.h"
#include "CopySession.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCopySession dialog


CCopySession::CCopySession(int cur, int max, CWnd* pParent /*=NULL*/)
	: CDialog(CCopySession::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCopySession)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
   m_cur_session = cur;
   m_max = max;
}


void CCopySession::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCopySession)
	DDX_Control(pDX, IDC_EDIT_PREV, m_edit_prev);
	DDX_Control(pDX, IDC_EDIT_CUR, m_edit_cur);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCopySession, CDialog)
	//{{AFX_MSG_MAP(CCopySession)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCopySession message handlers

BOOL CCopySession::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
   if(m_max <= 1)
   {
      AfxMessageBox("There is only one session");
      PostMessage(WM_CLOSE);
   }
   else
   {
      CString temp;
      if(m_cur_session == 0)
      {
         m_edit_prev.SetWindowText("1");
         m_edit_cur.SetWindowText("2");
      }
      else if(m_cur_session > m_max-1)
      {
         temp.Format("%d", m_max-1);
         m_edit_cur.SetWindowText(temp);
         temp.Format("%d", m_max-2);
         m_edit_prev.SetWindowText(temp);
      }
      else
      {
         temp.Format("%d", m_cur_session+1);
         m_edit_cur.SetWindowText(temp);
         temp.Format("%d", m_cur_session);
         m_edit_prev.SetWindowText(temp);
      }
   }
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

int CCopySession::GetPreviousSession(void)
{
   return m_prev_session;
}

int CCopySession::GetCurrentSession(void)
{
   return m_cur_session;
}

void CCopySession::OnOK() 
{
   CString temp;
   m_edit_cur.GetWindowText(temp);
   m_cur_session = atoi(temp)-1;
   m_edit_prev.GetWindowText(temp);
   m_prev_session = atoi(temp)-1;
	CDialog::OnOK();
}
